---
title: "methods & tools"
meta_description: "Some of the services and tools that are part of my daily life."
---

Below are listed some of the services and tools that are part of my daily life: concepts and programming languages; tutorials on how the web infrastructure works; good practice manuals and speculative articles on new trends; showcases and portfolios that inspire me; testing and validation services; frameworks, libraries and applications I like use.

- **[W3C](https://www.w3.org)**: International community responsible for the development of development standards for the web.
- **[Semantic Web](https://www.w3.org/standards/semanticweb/)**: Discussions about the future of the web and the concept of "web of data", or "semantic web".
- **[Jamstack](https://jamstack.org)**: A new and more efficient architecture for web projects.
- **[HTML5 Doctor](http://html5doctor.com)**: Reference website for HTML5 programming.
- **[W3Schools - CSS3](https://www.w3schools.com/css/css3_intro.asp)**: Reference website for the new version of the web stylesheet language, CSS3.
- **[Laws of UX](https://lawsofux.com)**: Theories and principles for building interfaces.
- **[MDN web docs](https://developer.mozilla.org/en-US/)**: Platform about all aspects of web development (maintained by Mozilla).
- **[web.dev](https://web.dev)**: Another documentation platform, this one maintained by Google.
- **[The Modern Javascript Tutorial](https://javascript.info)**: Extensive documentation on JavaScript.
- **[React](https://reactjs.org)**: JavaScript library for building modern user interfaces.
- **[Astro](https://astro.build)**: [Static site generator](https://www.cloudflare.com/learning/performance/static-site-generator/) which has the advantage of great performance and lightness of the websites it generates.
- **[Next.js](https://nextjs.org)**: Robust React framework that brings several innovations for building more complex web sites.
- **[Cloudflare](https://www.cloudflare.com/)**: Platform that offers dozens of resources and services for building and deploying web projects. I mainly use [Pages](https://pages.cloudflare.com).
- **[Vercel](https://vercel.com/home)**: Platform for publishing projects built with Jamstack tools.
- **[Netlify](https://www.netlify.com)**: Another platform for publishing projects based on Jamstack architecture.
- **[Svelte](https://svelte.dev)**: A tool for building interfaces similar to React in some respects, but with some different essential points. I'm becoming a big fan.
- **[SvelteKit](https://kit.svelte.dev)**: Framework Svelte for web development.
- **[Everyone has JavaScript, right?](https://kryogenix.org/code/browser/everyonehasjs.html)**: JavaScript is great, but I like to always take this advice into account.
- **[Modernizr](https://modernizr.com/)**: Tool that helps the building of a standardized web experience considering the different contexts in which a website can be viewed (different browsers, different devices, different resources, etc.)
- **[Bitbucket](https://bitbucket.org)**: Source code sharing and collaborative work service.
- **[GitLab](https://gitlab.com/)**: Another repository for source code and collaborative work.
- **[Can I use...](https://caniuse.com)**: Essential source of information about browsers compatibility with new technologies.
- **[Solved by Flexbox](https://philipwalton.github.io/solved-by-flexbox/)**: Collection of tips and tutorials about Flexbox, a great CSS technique.
- **[Sass](http://sass-lang.com)**: Language that extends the possibilities of CSS.
- **[CakePHP](https://cakephp.org)**: Framework for large web projects. An old favorite!
- **[WordPress](https://wordpress.org)**: Content management system for small and medium-sized web projects. A little outdated, but still a good tool for some situations.
- **[Netlify CMS](https://www.netlifycms.org)**: Another content management system, this one compatible with more modern web development techniques.
- **[Dive into HTML5](https://diveintohtml5.info)**: Compilation of tips and tutorials on HTML5.
- **[Autodesk SketchBook](https://www.sketchbook.com/)**: Software for digital illustration.
- **[Font Squirrel](https://www.fontsquirrel.com)**: Search and download typographic fonts for web projects.
- **[We Love Typography](http://welovetypography.com)**: Another gallery of typographic fonts for the web.
- **[palleton.com](http://paletton.com/)**: Website for creating color schemes.
- **[Webmaster Central Blog](https://webmasters.googleblog.com)**: Blog with tips on integrating websites with Google services.
- **[Advanced Common Sense](https://sensible.com)**: Steve Krug website, author of a essential book on web usability, Don't Make Me Thing.
- **[Adobe](http://www.adobe.com)**: Website of the manufacturer of some tools I use, such as Photoshop and Fireworks (in the last century I also used Flash).
- **[A List Apart](https://alistapart.com)**: Great website with articles and discussions about web development.
- **[StatCounter](https://gs.statcounter.com)**: This website, with different statistics on how people browse the web, is an essential tool.
- **[24 Ways](https://24ways.org)**: Another must-have website about web development.
- **[Snipcart](https://snipcart.com)**: JavaScript library for ecommerce.
- **[Culture Code](https://culturedcode.com/)**: Website of the company that develops Things, an app I use to organize projects (using the [GTD methodology](https://gettingthingsdone.com)).
- **[Getting Real](https://gettingreal.37signals.com)**: Website about the Getting Real web development methodology.
- **[Pingdom Website Speed Test](https://tools.pingdom.com)**: Online service for website performance testing.
- **[Panic](https://www.panic.com/)**: Website of the company that develops the editor/source code manager of my choice, Nova (in addition to having released a beautiful game, [Firewatch](https://www.firewatchgame.com)).
- **[Visual Studio Code](https://code.visualstudio.com/)**: Another source code editor, which I am using more often in projects with [CI/CD](https://www.redhat.com/pt-br/topics/devops/what-is-ci-cd).
- **[Sketch](https://sketchapp.com)**: My favorite tool for prototyping.
- **[CSS Zen Garden](http://www.csszengarden.com)**: Website about developing layouts for the web.
- **[Lodash](https://lodash.com)**: Utility library for JavaScript.
- **[awwwards.](https://www.awwwards.com)**: Website about design, creativity and innovation on the internet.
- **[MySQL](https://www.mysql.com)**: Database system of my choice.
- **[PHP](http://php.net)**: PHP website, a very popular programming language.
- **[Learn UI Design](https://learnui.design/blog/)**: Blog about interface design and development.
- **[CSS-TRICKS](https://css-tricks.com)**: Amazing blog about web design and development.
- **[Smashing Magazine](https://www.smashingmagazine.com)**: Another great website about web development.
- **[Markdown](https://daringfireball.net/projects/markdown/)**: Essential tool for converting formatted text to HTML.
- **[MDX](https://mdxjs.com)**: MDX is a format that expands Markdown's possibilities by allowing the inclusion of components written in JSX.
- **[Rough Notation](https://roughnotation.com)**: Small JavaScript library to create animated text annotations.
- **[license](https://www.npmjs.com/package/license)**: Tool to add a license to a project's source code. I often use it to assign the [MIT license](https://opensource.org/licenses/MIT) to my open-source projects.
- **[AWS](https://aws.amazon.com)**: Platform that offers dozens of resources and services for building and deploying web projects. I mainly use [Lambda](https://aws.amazon.com/lambda/) for running serverless functions.
- **[Nhost](https://nhost.io)**: Services and resources for web projects backend.
- **[Lighthouse](https://github.com/GoogleChrome/lighthouse)**: Tool for analyzing performance and best practices in web projects.
- **[Website Carbon Calculator](https://www.websitecarbon.com)**: Service that estimates the carbon footprint of a website and suggests actions to make it less harmful to the environment.
- **[Contrast Ratio](https://contrast-ratio.com)**: Service that evaluates the contrast between text and background color, thus helping the readability of a website.
- **[JSON Editor Online](https://jsoneditoronline.org)**: Online tool for editing and formatting content in JSON format.

Below are some websites of graphic artists, illustrators, craft publishers, etc. Not directly related to the world of web development, but highly inspiring and stimulating:

- **[Derek Riggs website and online portfolio](http://derek.server311.com/derekriggs.com/index.html)**: Portfolio of legendary illustrator Derek Riggs.
- **[DeviantArt](http://www.deviantart.com)**: Gallery with works by different artists around the world.
- **[Club of the Waves](https://clubofthewaves.com)**: Gallery with works by artists linked to the surf culture around the world.
- **[Anonymous Ink &amp; Idea](http://www.anonymousii.com)**: Illustrator Rich Knepprath's Portfolio.
- **[Monster Brains](http://monsterbrains.blogspot.com.br/)**: Gallery with works by several graphic artists (old and new) that have in common the supernatural theme.
- **[50 Watts](http://50watts.com)**: Gallery with works by various graphic artists around the world.
- **[Wacom Gallery](http://gallery.wacom.com/)**: Gallery of works created with Wacom's digital illustration tools.
- **[The Jazzy Blue Notes of Reid Miles](http://retinart.net/artist-profiles/jazzy-blue-notes-reid-miles/)**: Website about the work of Reid Miles, a photographer and graphic artist known for his work with the American jazz label Blue Note.
- **[Hard Format](http://www.hardformat.org)**: Website dedicated to records artworks.
- **[Leandro Lopes Ilustrações](http://leandrolopesilustracoes.com.br)**: Portfolio of friend and illustrator Leandro Lopes (developed by me).
- **[RIDDICKART](http://riddickart.com)**: Master Mark Riddick's portfolio.
- **[Casatrês](https://casatreseditora.art.br)**: Casatrês is a handmade books publisher.
